<?php
namespace FFREWER\Frsupersized\Utility;
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012-2014 Frank Frewer <info@frankfrewer.de>, medienbüro // FRANK FREWER
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/


/**
 * 'TceFunc' for the 'frsupersized' extension.
 *
 * @author     Frank Frewer <info@frankfrewer.de>
 * @package    TYPO3
 * @subpackage tx_frsupersized
 */
class TceFunc {
	/**
	 * This will render a selectorbox instead of a checkbox, so its possible to select "from TypoScript".
	 *
	 * @param	array		$PA An array with additional configuration options.
	 * @param	object		$fobj TCEForms object reference
	 * @return	string		The HTML code for the TCEform field
	 */
	public function getSelectOrCheckbox($PA, &$fObj) {
		$confArr = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['frsupersized']);
		if ($confArr['useSelectInsteadCheckbox']) {
			$PA['fieldConf']['config'] = array(
				'type' => 'select',
				'items' => array(
					array('LLL:EXT:frsupersized/Resources/Private/Language/locallang.xlf:tt_content.pi_flexform.from_ts', 'fromTS'),
					array('LLL:EXT:frsupersized/Resources/Private/Language/locallang.xlf:tt_content.pi_flexform.yes', 1),
					array('LLL:EXT:frsupersized/Resources/Private/Language/locallang.xlf:tt_content.pi_flexform.no', 0),
				),
			);
		} else {
			$conf = $PA['fieldConf']['config'];
			$PA['itemFormElValue'] = (is_numeric($PA['itemFormElValue']) && $PA['itemFormElValue'] != 2 ? $PA['itemFormElValue'] : $conf['checked']);
			$PA['fieldConf']['config'] = array(
				'type' => 'check',
			);
		}
		$tceforms = &$PA['pObj'];
		return $tceforms->getSingleField_SW($PA['table'], $PA['field'], $PA['row'], $PA);
	}
}
